unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Buttons, ExtCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Image1: TImage;
    SpeedButton1: TSpeedButton;
    SpeedButton3: TSpeedButton;
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure Panel1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Panel1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Panel1MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { Private declarations }
    XOld,
    YOld,
    LeftOld,
    TopOld   : Integer;
    DCHandle : HDC;
    MoveRect : TRect;
    ModeDrag : Boolean;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
  Application.Terminate;
end;

procedure TForm1.SpeedButton3Click(Sender: TObject);
begin
  Application.Minimize;
end;

procedure TForm1.Panel1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
    if Button = mbLeft then		//  ...
       begin
        DCHandle := GetDC(0);       	//    DC

        XOld := X;			//
        YOld := Y;			//
        LeftOld := X;
        TopOld := Y;

        MoveRect := BoundsRect;			// MoveRect"
        DrawFocusRect(DCHandle, MoveRect);	// 
        ModeDrag := True;			//    ;)
      end;
end;

procedure TForm1.Panel1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
    if ModeDrag	then		//   
       begin
         XOld := X;		// 
         YOld := Y;		// 
         DrawFocusRect(DCHandle, MoveRect);	//  

         //  MoveRect" 
         MoveRect := Rect(Left + XOld - LeftOld,
                             Top + YOld - TopOld,
                             Left + Width + XOld - LeftOld,
                             Top + Height + YOld - TopOld);

         DrawFocusRect(DCHandle, MoveRect);	//   
//   if Button = mbLeft		//  ...
  //    then
   //     begin
          DrawFocusRect(DCHandle, MoveRect);	//  
          Left := Left + X - LeftOld;		// 
          Top := Top + Y - TopOld;
          ReleaseDC(0, DCHandle);		//    DC
  //    end;

   DrawFocusRect(DCHandle, MoveRect);		// 
       end;
end;

procedure TForm1.Panel1MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin

   ModeDrag := false;				//  
end;

end.
