unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls,Math;

type
  TForm2 = class(TForm)
    Image1: TImage;
    Timer1: TTimer;
    Timer2: TTimer;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure Timer2Timer(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    DstCanva:TCanvas;
    Im2,Im3:TBitmap;
    Half1,Half2:Integer;
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}

procedure TForm2.FormClose(Sender: TObject; var Action: TCloseAction);
begin
DstCanva.Free;
Im2.Free;
Im3.Free;
end;

procedure TForm2.FormCreate(Sender: TObject);
begin
DstCanva:=TCanvas.Create;
DstCanva.Handle:=GetDC(0);
Left :=0;
Top :=0;
Width:=Screen.Width;
Height:=Screen.Height;
 with Image1 do
 begin
 Left:=0;
 Top:=0;
 Width:=Form2.Width;
 Height:=Form2.Height;
 Canvas.CopyRect(Canvas.ClipRect,DstCanva,
                                    DstCanva.ClipRect);
 end;
 Image1.Canvas.Font.Color :=clRed;
 Image1.Canvas.Font.Size :=20;
 Im2:=TBitmap.Create;
 Im3:=TBitmap.Create;
 Im2.Height:=Height;
 Im2.Width :=Trunc(Image1.Width /2);
 Im3.Width :=Im2.Width;
 Im3.Height :=Height;
 Half1:=0;
 Half2:=Im3.Width;
 Im2.Canvas.CopyRect(Im2.Canvas.ClipRect,Image1.Canvas,
                                     Im2.Canvas.ClipRect);
 Im3.Canvas.CopyRect(Im3.Canvas.ClipRect,Image1.Canvas,
                   Rect(Im3.Width,Top,Im3.Width*2,Height));
 randomize;
end;

procedure TForm2.Timer1Timer(Sender: TObject);
var
Atop,Aleft:Integer;
begin
Atop:=RandomRange(-5,5);
Aleft:=RandomRange(-5,5);
Left:=Aleft;
Top:=Atop;
end;

procedure TForm2.Timer2Timer(Sender: TObject);
begin
Inc(Half2,5);
Dec(Half1,5);
Image1.Canvas.FillRect(Image1.Canvas.ClipRect);
Image1.Canvas.TextOut(Trunc(Width/2-Width/6),Trunc(Height/2),
                                      '  ');
Image1.Canvas.Draw(Half1,0,Im2);
Image1.Canvas.Draw(Half2,0,Im3);

end;

procedure TForm2.FormShow(Sender: TObject);
begin
 Timer1.Enabled :=true;
 Timer2.Enabled :=true;
end;

end.
